import { ElementRef, NgZone, ViewContainerRef, OnChanges, SimpleChanges } from '@angular/core';
import { MatTooltip, MatTooltipDefaultOptions } from '@angular/material/tooltip';
import { AriaDescriber, FocusMonitor } from '@angular/cdk/a11y';
import { Directionality } from '@angular/cdk/bidi';
import { Overlay, ScrollDispatcher } from '@angular/cdk/overlay';
import { Platform } from '@angular/cdk/platform';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
import * as i2 from "@angular/material/tooltip";
export declare class EuiTooltipDirective extends MatTooltip implements OnChanges {
    get euiTooltipPrimary(): boolean;
    set euiTooltipPrimary(value: boolean);
    _euiTooltipPrimary: boolean;
    get euiTooltipSecondary(): boolean;
    set euiTooltipSecondary(value: boolean);
    _euiTooltipSecondary: boolean;
    get euiTooltipInfo(): boolean;
    set euiTooltipInfo(value: boolean);
    _euiTooltipInfo: boolean;
    get euiTooltipSuccess(): boolean;
    set euiTooltipSuccess(value: boolean);
    _euiTooltipSuccess: boolean;
    get euiTooltipWarning(): boolean;
    set euiTooltipWarning(value: boolean);
    _euiTooltipWarning: boolean;
    get euiTooltipDanger(): boolean;
    set euiTooltipDanger(value: boolean);
    _euiTooltipDanger: boolean;
    get euiTooltipAccent(): boolean;
    set euiTooltipAccent(value: boolean);
    _euiTooltipAccent: boolean;
    get euiTooltipRounded(): boolean;
    set euiTooltipRounded(value: boolean);
    _euiTooltipRounded: boolean;
    get showDelay(): number;
    set showDelay(value: number);
    _showDelay: number;
    get hideDelay(): number;
    set hideDelay(value: number);
    _hideDelay: number;
    get isDisabled(): boolean;
    set isDisabled(value: boolean);
    _isDisabled: boolean;
    get euiTooltipArrows(): boolean;
    set euiTooltipArrows(value: boolean);
    _euiTooltipArrows: boolean;
    position: ('left' | 'right' | 'above' | 'below' | 'before' | 'after');
    content: ('left' | 'right' | 'center' | 'justify');
    get euiTooltip(): string;
    set euiTooltip(value: string);
    get cssClasses(): string;
    get always(): boolean;
    set always(value: boolean);
    _always: boolean;
    constructor(_overlay: Overlay, _elementRef: ElementRef, _scrollDispatcher: ScrollDispatcher, _viewContainerRef: ViewContainerRef, _ngZone: NgZone, _platform: Platform, _ariaDescriber: AriaDescriber, _focusMonitor: FocusMonitor, _scrollStrategy: any, _dir: Directionality, _defaultOptions: MatTooltipDefaultOptions);
    ngOnChanges(c: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDef<EuiTooltipDirective, [null, null, null, null, null, null, null, null, null, { optional: true; }, { optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDefWithMeta<EuiTooltipDirective, "[euiTooltip]", ["euiTooltip"], { "euiTooltipPrimary": "euiTooltipPrimary"; "euiTooltipSecondary": "euiTooltipSecondary"; "euiTooltipInfo": "euiTooltipInfo"; "euiTooltipSuccess": "euiTooltipSuccess"; "euiTooltipWarning": "euiTooltipWarning"; "euiTooltipDanger": "euiTooltipDanger"; "euiTooltipAccent": "euiTooltipAccent"; "euiTooltipRounded": "euiTooltipRounded"; "showDelay": "showDelay"; "hideDelay": "hideDelay"; "isDisabled": "isDisabled"; "euiTooltipArrows": "euiTooltipArrows"; "position": "position"; "content": "content"; "euiTooltip": "euiTooltip"; "always": "always"; }, {}, never>;
}
export declare class EuiTooltipDirectiveModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<EuiTooltipDirectiveModule, [typeof EuiTooltipDirective], [typeof i1.CommonModule, typeof i2.MatTooltipModule], [typeof EuiTooltipDirective]>;
    static ɵinj: i0.ɵɵInjectorDef<EuiTooltipDirectiveModule>;
}
